using System;
using System.Text;

class ConcatenationDemo
{
	static void Main(string[] args)
	{
		// Append strings directly - runs very slowly
		DateTime startTime = DateTime.Now;
		Console.WriteLine("Direct string concatenation started.");
		string result = "";
		for (int i=0; i < 7500; i++) 
		{
			result += " ! ";
		}
		DateTime endTime = DateTime.Now;
		TimeSpan duration = endTime-startTime;
		Console.WriteLine("Operation took {0} sec.", duration.TotalSeconds);


		// Append strings with StringBuilder - the correct way
		startTime = DateTime.Now;
		Console.WriteLine("String concatenation with StringBuilder started.");
		StringBuilder resultBuilder = new StringBuilder();
		for (int i=0; i < 7500; i++) 
		{
			resultBuilder.Append(" ! ");
		}
		result = resultBuilder.ToString();
		endTime = DateTime.Now;
		duration = endTime-startTime;
		Console.WriteLine("Operation took {0} sec.", duration.TotalSeconds);
	}
}

