using System;
using System.Globalization;
using System.Windows.Forms;

class CulturesDemo
{
	static void ShowAmmount(double aAmmount, CultureInfo aCulture)
	{
		string message = String.Format(
			aCulture, "Ammount: {0:C}", aAmmount);
		String caption = aCulture.EnglishName;
		MessageBox.Show(message, caption);
	}

	static void Main(string[] args)
	{
		double ammount = 137.25;

		CultureInfo cultureInvariant = CultureInfo.InvariantCulture;
		ShowAmmount(ammount, cultureInvariant);

		CultureInfo cultureEnglishUnitesStates = new CultureInfo("en-US");
		ShowAmmount(ammount, cultureEnglishUnitesStates);
		
		CultureInfo cultureBulgarianBulgaria = new CultureInfo("bg-BG");
		ShowAmmount(ammount, cultureBulgarianBulgaria);

		CultureInfo cultureFrenchCanada = new CultureInfo("fr-CA");
		ShowAmmount(ammount, cultureFrenchCanada);

		CultureInfo cultureJapaneseJapan = new CultureInfo("ja-JP");
		ShowAmmount(ammount, cultureJapaneseJapan);

		CultureInfo cultureArabianKuwait = new CultureInfo("ar-KW");
		ShowAmmount(ammount, cultureArabianKuwait);

		CultureInfo cultureMongolianMongolia = new CultureInfo("mn-MN");
		ShowAmmount(ammount, cultureMongolianMongolia);
	}
}